<?php
namespace Elementor;

class headerfour extends Widget_Base {
	
	public function get_name() {
		return 'headerfour';
	}
	
	public function get_title() {
		return 'باکس سربرگ 5';
	}
	
	    public function get_icon() {
		return 'eicon eicon-header';
    }
    
    public function get_categories() {
        return [ 'farnam' ];
    }
	protected function register_controls() {


		$this->start_controls_section(
			'section_title',
			[
				'label' => __( 'Content', 'elementor' ),
			]
		);
		
		$this->add_control(
			'posts_per_page',
			[
				'label' => __( 'عنوان', 'elementor' ),
				'label_block' => true,
				'type' => Controls_Manager::TEXT,
				'placeholder' => __( 'یک عنوان وارد کنید', 'elementor' ),
			]
		);

	

		$this->end_controls_section();
		
		
        
	       $this->start_controls_section(
            'farnam_product_style_2',
            [
                'label' => esc_html__( 'تنظیمات استایل و ظاهر', 'woolentor' ),
            ]
        );
             
	$this->add_responsive_control(
                        'yad-list-1w',
                        [
                            'label' => esc_html__( 'گردی شمارشگر', 'woolentor' ),
                            'type' => Controls_Manager::DIMENSIONS,
                            'selectors' => [
                                '{{WRAPPER}} .ss-nn-xx-11 .left-sabad span' => 'border-radius: {{TOP}}px {{RIGHT}}px {{BOTTOM}}px {{LEFT}}px !important;',
                            ],
                        ]
                    );

	$this->add_responsive_control(
                        'yad-list-2w',
                        [
                            'label' => esc_html__( 'گردی حساب کاربری', 'woolentor' ),
                            'type' => Controls_Manager::DIMENSIONS,
                            'selectors' => [
                                '{{WRAPPER}}  .ss-nn-xx-11 .left-rr-user' => 'border-radius: {{TOP}}px {{RIGHT}}px {{BOTTOM}}px {{LEFT}}px !important;',
                            ],
                        ]
                    );


		   
		   $this->add_control(
'color_farnam_2',
			[
				'label' => __( 'رنگ پس زمینه حساب کاربری', 'plugin-domain' ),
				'type' => Controls_Manager::COLOR,
			
				'selectors' => [
					'{{WRAPPER}} .ss-nn-xx-11 .left-rr-user' => 'background: {{VALUE}} !important',
				],
			]
           );
		   
		   
	   $this->add_control(
'color_farnam_2332',
			[
				'label' => __( 'رنگ متن حساب کاربری', 'plugin-domain' ),
				'type' => Controls_Manager::COLOR,
			
				'selectors' => [
					'{{WRAPPER}} .ss-nn-xx-11 .left-rr-user' => 'color: {{VALUE}} !important',
				],
			]
           );
		     	$this->add_group_control(
			\Elementor\Group_Control_Border::get_type(),
			[
				'name' => 'border',
				'label' => esc_html__( 'کادر حساب کاربری', 'plugin-name' ),
				'selector' => '{{WRAPPER}}  .ss-nn-xx-11 .left-rr-user',
			]
		);

                
						
        $this->end_controls_section();
        

             
	}
	
	protected function render() {
		include es_TPL_PATH . 'header-four.php';
	}
	
	protected function _content_template() {

    }
	
	
}